Use of a Risky Cryptographic Algorithm Affecting org.apache.wss4j:wss4j-ws-security-dom package, versions [2.0.0,2.0.2)


0.0
high
  • Attack Complexity

    Low

  • Confidentiality

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGAPACHEWSS4J-31029

  • published

    17 Apr 2015

  • disclosed

    17 Apr 2015

  • credit

    Dennis Kupser, Christian Mainka, Juraj Somorovsky

Overview

org.apache.wss4j:wss4j-ws-security-dom Affected versions of the package use a Risky Cryptographic Algorithm. The PKCS#1 v1.5 Key Transport Algorithm is used to encrypt symmetric keys as part of WS-Security. WSS4J can leak information about where a particular decryption operation fails.